<?php
	
	$qodeIconCollections = bridge_qode_return_icon_collections();
	
	$html = "";
	
	// Initialize styles and classes
	$style = '';
	$icon_stack_classes = '';
	$icon_stack_style = '';
	$icon_stack_circle_styles = '';
	$icon_stack_square_styles = '';
	$animation_delay_style = '';
	
	// Generate styles based on user inputs
	if (!empty($custom_size)) {
		$style .= 'font-size: ' . esc_attr($custom_size) . (strstr($custom_size, 'px') ? '' : 'px;');
		$icon_stack_circle_styles .= 'font-size: ' . esc_attr($custom_size) . 'px;';
		$icon_stack_square_styles .= 'font-size: ' . esc_attr($custom_size) . 'px;';
	}
	
	if (!empty($custom_shape_size)) {
		$icon_stack_circle_styles .= 'font-size: ' . esc_attr($custom_shape_size) . 'px;';
		$icon_stack_square_styles .= 'font-size: ' . esc_attr($custom_shape_size) . 'px;';
	}
	
	if (!empty($icon_color)) {
		$style .= 'color: ' . esc_attr($icon_color) . ';';
	}
	
	if (!empty($position)) {
		$icon_stack_classes .= 'pull-' . esc_attr($position);
	}
	
	if (!empty($background_color)) {
		$icon_stack_style .= 'background-color: ' . esc_attr($background_color) . ';';
	}
	
	if ($border === 'yes' && !empty($border_color)) {
		$border_width = !empty($border_width) ? esc_attr($border_width) : 1;
		$icon_stack_style .= 'border: ' . $border_width . 'px solid ' . esc_attr($border_color) . ';';
	} elseif ($border === 'no') {
		$icon_stack_style .= 'border: 0;';
	}
	
	if (!empty($border_radius)) {
		$icon_stack_square_styles .= 'border-radius: ' . esc_attr($border_radius) . 'px;';
	}
	
	if (!empty($icon_animation_delay)) {
		$animation_delay_style .= 'transition-delay: ' . esc_attr($icon_animation_delay) . 'ms;';
	}
	
	// Handle margins
	if (!empty($margin)) {
		$icon_stack_style .= 'margin: ' . esc_attr($margin) . ';';
		$icon_stack_circle_styles .= 'margin: ' . esc_attr($margin) . ';';
	}
	
	// Handle icon links
	$icon_link_class = ($anchor_icon === "yes") ? "anchor" : "";
	
	// Set default icon pack if not provided
	$icon_pack = empty($icon_pack) ? 'font_awesome' : $icon_pack;
	
	// Generate HTML based on icon type
	switch ($type) {
		case 'circle':
			$html = '<span ' . bridge_qode_get_inline_attr($type, 'data-type') . ' '
			        . bridge_qode_get_inline_attr($hover_background_color, 'data-hover-bg-color') . ' '
			        . bridge_qode_get_inline_attr($icon_hover_color, 'data-hover-icon-color') . ' '
			        . 'class="qode_icon_shortcode fa-stack q_font_awsome_icon_stack ' . esc_attr($size) . ' '
			        . esc_attr($icon_stack_classes) . ' ' . esc_attr($icon_animation) . '" '
			        . 'style="' . esc_attr($icon_stack_circle_styles) . ' ' . esc_attr($animation_delay_style) . '">';
			break;
		
		case 'square':
			$html = '<span ' . bridge_qode_get_inline_attr($type, 'data-type') . ' '
			        . bridge_qode_get_inline_attr($hover_background_color, 'data-hover-bg-color') . ' '
			        . bridge_qode_get_inline_attr($icon_hover_color, 'data-hover-icon-color') . ' '
			        . 'class="qode_icon_shortcode fa-stack q_font_awsome_icon_square ' . esc_attr($size) . ' '
			        . esc_attr($icon_stack_classes) . ' ' . esc_attr($icon_animation) . '" '
			        . 'style="' . esc_attr($icon_stack_style) . esc_attr($icon_stack_square_styles) . ' ' . esc_attr($animation_delay_style) . '">';
			break;
		
		default:
			$html = '<span ' . bridge_qode_get_inline_attr($type, 'data-type') . ' '
			        . bridge_qode_get_inline_attr($icon_hover_color, 'data-hover-icon-color') . ' '
			        . 'class="qode_icon_shortcode q_font_awsome_icon ' . esc_attr($size) . ' '
			        . esc_attr($icon_stack_classes) . ' ' . esc_attr($icon_animation) . '" '
			        . 'style="' . esc_attr($icon_stack_style) . ' ' . esc_attr($animation_delay_style) . '">';
			break;
	}
	
	// Add the link if provided
	if ( ! empty( $link ) ) {
		$html .= '<a ' . bridge_qode_get_inline_attr($icon_link_class, 'class') . ' itemprop="url" href="' . esc_url($link) . '" target="' . esc_attr($target) . '">';
	}
	
	// Generate the icon HTML
	if ($qodeIconCollections->getIconCollectionParamNameByKey($icon_pack)) {
		$html .= $qodeIconCollections->getIconHTML(
			${$qodeIconCollections->getIconCollectionParamNameByKey($icon_pack)},
			$icon_pack,
			array('icon_attributes' => array('style' => esc_attr($style), 'class' => 'qode_icon_element'))
		);
	}
	
	if ( ! empty( $link ) ) {
		$html .= '</a>';
	}
	
	$html .= '</span>';
	
	// Output the constructed HTML
	echo bridge_qode_get_module_part($html);
